using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace BB
{
    public partial class AdminAuth : Form
    {
        public AdminAuth()
        {
            InitializeComponent();
        }

        private void PassApplyBtn_Click(object sender, EventArgs e)
        {
            if (PassInputField.Text == "0000")//проверяем верен ли пароль
            {
                StaticClass.isActive = true;//Меняем нашу глобальную статическую переменную на true
                MessageBox.Show("Режим администратора включен");//Сообщаем об успехе пользователю
                AdminAuth.ActiveForm.Close();//закрываем окно
                if (StaticClass.isActive)//проверка, на всякий случай, но можно и без if
                {
                    //Ниже отображаем те элементы интерфейса, что должен увидеть админ
                    Program.main.AdminLabel.Visible = false;
                    Program.main.ClientBtn.Visible = true;
                    Program.main.ServiceClientBtn.Visible = true;
                    for (int i= 0; i< Program.main.serviceList.Count;i++)//Тут мы через цикл отображаем кнопки на карточках
                    {
                        Program.main.serviceList[i].DeleteBtn.Visible = true;
                        Program.main.serviceList[i].EditBtn.Visible = true;
                    }
                }
            }
            else
            {
                MessageBox.Show("Ошибка");
            }
        }
    }
}
